## IAnjutaMessageManager

IAnjutaMessageManager — The plugin that managers all message views

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_message_manager_error_quark ()
IAnjutaMessageView * | ianjuta_message_manager_add_view ()
GList * | ianjuta_message_manager_get_all_views ()
IAnjutaMessageView * | ianjuta_message_manager_get_current_view ()
IAnjutaMessageView * | ianjuta_message_manager_get_view_by_name ()
void | ianjuta_message_manager_remove_view ()
void | ianjuta_message_manager_set_current_view ()
void | ianjuta_message_manager_set_view_icon ()
void | ianjuta_message_manager_set_view_icon_from_stock ()
void | ianjuta_message_manager_set_view_title ()

## Object Hierarchy

        GEnum
        ╰── IAnjutaMessageManagerError
        GInterface
        ╰── IAnjutaMessageManager

## Includes

    #include <libanjuta/interfaces/ianjuta-message-manager.h>

## Description

## Functions

### ianjuta_message_manager_error_quark ()

    GQuark
    ianjuta_message_manager_error_quark (void);

### ianjuta_message_manager_add_view ()

    IAnjutaMessageView *
    ianjuta_message_manager_add_view (IAnjutaMessageManager *obj,
                                      const gchar *name,
                                      const gchar *icon,
                                      GError **err);

Adds a new view to the message-manager

#### Parameters

obj | Self |
name | Name/Title of the new view |
icon | Path to an icon or "" |
err | Error propagation and reporting |

#### Returns

The new message-view

### ianjuta_message_manager_get_all_views ()

    GList *
    ianjuta_message_manager_get_all_views (IAnjutaMessageManager *obj,
                                           GError **err);

Get all message-views

#### Parameters

obj | Self |
err | Error propagation and reporting |

#### Returns

A GList* of all views. You must not manipulate the list.

[element-type IAnjutaMessageView]

### ianjuta_message_manager_get_current_view ()

    IAnjutaMessageView *
    ianjuta_message_manager_get_current_view
                                   (IAnjutaMessageManager *obj,
                                    GError **err);

Get the view with is currently on top of the notebook or NULL if the message-manager is empty.

#### Parameters

obj | Self |
err | Error propagation and reporting |

#### Returns

Current view; IAnjutaMessageView object. NULL, if there is no views.

### ianjuta_message_manager_get_view_by_name ()

    IAnjutaMessageView *
    ianjuta_message_manager_get_view_by_name
                                   (IAnjutaMessageManager *obj,
                                    const gchar *name,
                                    GError **err);

Get the view with the given name or NULL if it does not exist.

#### Parameters

obj | Self |
name | Name/Title of the view |
err | Error propagation and reporting |

#### Returns

The message-view or NULL

### ianjuta_message_manager_remove_view ()

    void
    ianjuta_message_manager_remove_view (IAnjutaMessageManager *obj,
                                         IAnjutaMessageView *view,
                                         GError **err);

Remove view from the message-manager. The view will become invalid.

#### Parameters

obj | Self |
view | The view to remove |
err | Error propagation and reporting |

### ianjuta_message_manager_set_current_view ()

    void
    ianjuta_message_manager_set_current_view
                                   (IAnjutaMessageManager *obj,
                                    IAnjutaMessageView *view,
                                    GError **err);

Set view to be on top of the notebook.

#### Parameters

obj | Self |
view | A message view |
err | Error propagation and reporting |

### ianjuta_message_manager_set_view_icon ()

    void
    ianjuta_message_manager_set_view_icon (IAnjutaMessageManager *obj,
                                           IAnjutaMessageView *view,
                                           GdkPixbufAnimation *icon,
                                           GError **err);

Sets the icon of view.

#### Parameters

obj | Self |
view | A message view |
icon | Sets the icon of view. |
err | Error propagation and reporting |

### ianjuta_message_manager_set_view_icon_from_stock ()

    void
    ianjuta_message_manager_set_view_icon_from_stock
                                   (IAnjutaMessageManager *obj,
                                    IAnjutaMessageView *view,
                                    const gchar *icon,
                                    GError **err);

Sets the icon of view.

#### Parameters

obj | Self |
view | A message view |
icon | Sets the icon of view. |
err | Error propagation and reporting |

### ianjuta_message_manager_set_view_title ()

    void
    ianjuta_message_manager_set_view_title
                                   (IAnjutaMessageManager *obj,
                                    IAnjutaMessageView *view,
                                    const gchar *title,
                                    GError **err);

Sets the title of view.

#### Parameters

obj | Self |
view | A message view |
title | Sets the title of view. |
err | Error propagation and reporting |

## Types and Values